equo

Anything that pertains to Entropy, Equo or Sulfur

Moderator: Moderators

acaribe
Baby Hen
Posts: 6
Joined: Thu Mar 03, 2016 22:57

equo

Post by acaribe » Wed Mar 09, 2016 14:25

I use Entropy/equo to install program on Sabayon. Any installation i try, does not really happen, because
the form stops at the following point:

"
Please choose an option:

(1) read license
(2) Accept license (i have read it)
(3) Accept license and do not ask me again (i have read it)
(0) logout
"
Whichever option i choose leads to nothing. And i dont know how to go beyond.

TIA

belcocco
Old Dear Hen
Posts: 459
Joined: Sat Nov 29, 2008 18:53
Location: Milan, Italy

Re: equo

Post by belcocco » Wed Mar 09, 2016 18:04

strange! Very strange !!!
Which option you choose?
Usually write 3 and then enter. So it works and continues the installation.
Ciao.
Sergio

acaribe
Baby Hen
Posts: 6
Joined: Thu Mar 03, 2016 22:57

Re: equo

Post by acaribe » Sun Mar 13, 2016 18:06

No, it does'nt. I tryed all the options, and neither has any effect, except
to shoiw again the three damned options.

I fear my problem is unique, because amongst 49 views, yours is the only answer.

My problem could arise from any digitation previous to the one that brought the
problem.

wolfden
Sharecropper
Posts: 9051
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA
Contact:

Re: equo

Post by wolfden » Mon Mar 14, 2016 3:40

What are you trying to install?

Sometimes you will get asked multiple times the same question as the dependencies may need the approval also. Eventually it should stop asking and do the install tho.

I have never seen anyone have an issue where they select the number and nothing happens. I would like to know what you are trying to install so I can test it on my system. Make sure you have the latest entropy installed, you can do this by doing

Code: Select all

equo update

Code: Select all

equo install entropy equo --nodeps
than retry you installation.

acaribe
Baby Hen
Posts: 6
Joined: Thu Mar 03, 2016 22:57

Re: equo

Post by acaribe » Thu Mar 17, 2016 23:10

I was trying to install libreoffice . just libreoffice, not libreoffice.x86_64 for example..

Tryed again now. Option 1 makes the machine hang. Option 3 shows a lot of dependencies. And option 0 just closes the command and gives me back my prompt.

User avatar
sabayonino
Sagely Hen
Posts: 3264
Joined: Sun Sep 21, 2008 1:12
Location: Italy
Contact:

Re: equo

Post by sabayonino » Fri Mar 18, 2016 0:52

acaribe wrote:I was trying to install libreoffice . just libreoffice, not libreoffice.x86_64 for example..

Tryed again now. Option 1 makes the machine hang. Option 3 shows a lot of dependencies. And option 0 just closes the command and gives me back my prompt.
can you paste full comand you ran to install libreoffice ?
(there's app-office/libreoffice only not x86_64 as you wrote...)

which equo version ...

Code: Select all

# equo --version
which sabayon version/edition ...

Code: Select all

# cat /etc/{sabayon-release,sabayon-edition}
[Che Cos'è Il Calcolo Distribuito (BOINC)

BOINC ready ! Sabayon+BOINC = BILD ,my Sabayon spin :cyclops: - Ready to crunch for the Science everywhere :)

acaribe
Baby Hen
Posts: 6
Joined: Thu Mar 03, 2016 22:57

Re: equo

Post by acaribe » Fri Mar 18, 2016 14:36

command line: equo install libreoffice

equo version: 297

sabayon version Sabayon linux amd64 15.0.8

User avatar
sabayonino
Sagely Hen
Posts: 3264
Joined: Sun Sep 21, 2008 1:12
Location: Italy
Contact:

Re: equo

Post by sabayonino » Fri Mar 18, 2016 19:26

equo version is 300. you have old version of equo

try to force update

Code: Select all

# equo update --force
install new entropy

Code: Select all

# equo i equo entropy --relaxed
upgrade the system (check what will be update)

Code: Select all

# equo upgrade --ask
[Che Cos'è Il Calcolo Distribuito (BOINC)

BOINC ready ! Sabayon+BOINC = BILD ,my Sabayon spin :cyclops: - Ready to crunch for the Science everywhere :)

Stupot
Sagely Hen
Posts: 1678
Joined: Wed Feb 14, 2007 3:44
Location: St. Louis, MO, USA

Re: equo

Post by Stupot » Fri Mar 18, 2016 19:35

Try updating equo before installing libreoffice. I'm on version 300.

Code: Select all

# equo up && equo install equo

acaribe
Baby Hen
Posts: 6
Joined: Thu Mar 03, 2016 22:57

Re: equo

Post by acaribe » Sat Mar 19, 2016 13:41

None of the three commands ran. Because of the damned options. I could not
run anything.

Post Reply